Bug 1257900 - xulrunner-40.0-1 build failure on ppc64le
xulrunner-40.0-1 build failure on ppc64le
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xulrunner (Show other bugs)
23
ppc64le Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Martin Stransky
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-28 07:11 EDT by Ngo Than
Modified: 2015-09-16 04:42 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-16 04:42:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ngo Than 2015-08-28 07:11:08 EDT
xulrunner-40.0 doesn't build on ppcle64, it breaks with following errors:


    INPUT("StaticXULComponentsEnd/StaticXULComponentsEnd.o")
../../gfx/skia/Unified_cpp_gfx_skia19.o: In function `SkDiscardablePixelRef::onNewLockPixels(SkPixelRef::LockRec*)':
/builddir/build/BUILD/xulrunner-40.0/mozilla-release/gfx/skia/trunk/src/lazy/SkDiscardablePixelRef.cpp:56: undefined reference to `SkDiscardableMemory::Create(unsigned long)'
/usr/bin/ld: libxul.so: hidden symbol `_ZN19SkDiscardableMemory6CreateEm' isn't defined
/usr/bin/ld: final link failed: Bad value
collect2: error: ld returned 1 exit status
/builddir/build/BUILD/xulrunner-40.0/mozilla-release/config/rules.mk:815: recipe for target 'libxul.so' failed
make[5]: Leaving directory '/builddir/build/BUILD/xulrunner-40.0/mozilla-release/objdir/toolkit/library'
/builddir/build/BUILD/xulrunner-40.0/mozilla-release/config/recurse.mk:70: recipe for target 'toolkit/library/target' failed
make[4]: Leaving directory '/builddir/build/BUILD/xulrunner-40.0/mozilla-release/objdir'
/builddir/build/BUILD/xulrunner-40.0/mozilla-release/config/recurse.mk:32: recipe for target 'compile' failed
make[3]: Leaving directory '/builddir/build/BUILD/xulrunner-40.0/mozilla-release/objdir'
/builddir/build/BUILD/xulrunner-40.0/mozilla-release/config/rules.mk:538: recipe for target 'default' failed
make[2]: Leaving directory '/builddir/build/BUILD/xulrunner-40.0/mozilla-release/objdir'
/builddir/build/BUILD/xulrunner-40.0/mozilla-release/client.mk:400: recipe for target 'realbuild' failed
make[1]: Leaving directory '/builddir/build/BUILD/xulrunner-40.0/mozilla-release'
client.mk:171: recipe for target 'build' failed
RPM build errors:
make[5]: *** [libxul.so] Error 1
make[4]: *** [toolkit/library/target] Error 2
make[3]: *** [compile] Error 2
make[2]: *** [default] Error 2
make[1]: *** [realbuild] Error 2
make: *** [build] Error 2

for more info please take a look at
http://ppc.koji.fedoraproject.org/kojifiles/work/tasks/3636/2723636/build.log
Comment 1 Martin Stransky 2015-09-02 16:07:47 EDT
Should be fixed by xulrunner-40.0-2.
Comment 2 Ngo Than 2015-09-16 04:42:06 EDT
confirmed the fix in xulrunner-40.0-2.

http://ppc.koji.fedoraproject.org/koji/buildinfo?buildID=344005

thanks

Note You need to log in before you can comment on or make changes to this bug.